package com.palmnest.application.dto.input;

import java.io.Serializable;

/**
 * @Author hxt
 * @Description 令令访客机入参实体
 * @Date 2019/3/18 16:22
 **/
public class LingLingVisitorMachineInputDto implements Serializable {

    private static final long serialVersionUID = 3026076958496644501L;

    private Integer orgId;
    private Integer isUploadIdenphoto;
    private Integer isRequiredIdenNumber;
    private Integer isTakePhoto;
    private String visitReasonStr;
    private String[] visitReason;
    private Long machineId;
    
    
    private Integer isNewVersion;//是否新设备
    private String deviceCode;//访客机sn
    private String machineJson;//访客机Json
    

    public Integer getOrgId() {
        return orgId;
    }

    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    public Integer getIsUploadIdenphoto() {
        return isUploadIdenphoto;
    }

    public void setIsUploadIdenphoto(Integer isUploadIdenphoto) {
        this.isUploadIdenphoto = isUploadIdenphoto;
    }

    public Integer getIsRequiredIdenNumber() {
        return isRequiredIdenNumber;
    }

    public void setIsRequiredIdenNumber(Integer isRequiredIdenNumber) {
        this.isRequiredIdenNumber = isRequiredIdenNumber;
    }

    public Integer getIsTakePhoto() {
        return isTakePhoto;
    }

    public void setIsTakePhoto(Integer isTakePhoto) {
        this.isTakePhoto = isTakePhoto;
    }   

	public Long getMachineId() {
        return machineId;
    }

    public void setMachineId(Long machineId) {
        this.machineId = machineId;
    }

	public Integer getIsNewVersion() {
		return isNewVersion;
	}

	public void setIsNewVersion(Integer isNewVersion) {
		this.isNewVersion = isNewVersion;
	}

	public String getDeviceCode() {
		return deviceCode;
	}

	public void setDeviceCode(String deviceCode) {
		this.deviceCode = deviceCode;
	}

	public String getMachineJson() {
		return machineJson;
	}

	public void setMachineJson(String machineJson) {
		this.machineJson = machineJson;
	}

	public String getVisitReasonStr() {
		return visitReasonStr;
	}

	public void setVisitReasonStr(String visitReasonStr) {
		this.visitReasonStr = visitReasonStr;
	}

	public void setVisitReason(String[] visitReason) {
		this.visitReason = visitReason;
	}
    
    
}
